<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>Demo Environment</title>

    <link rel="stylesheet" href="/en/latestcss/core.css">
    <link rel="stylesheet" href="/en/latestcss/getstarted.css">
    <link rel="shortcut icon" href="/en/latestcss/images/saltStack_favIcon_32x32.png">

</head>
<body>

<nav id="globalNavbar" class="navbar navbar-default navbar-inverse navbar-fixed-top" role="navigation">
    <!-- Brand and toggle get grouped for better mobile display -->
    <div class="container">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#navbarCollapse">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <a href="http://saltstack.com/" target="_blank"><img src="/en/latestcss/images/saltstack.svg" height="40px" width="170px" class="nolightbox"></a>
        </div>
        <!-- Collect the nav links, forms, and other content for toggling -->
        <div class="collapse navbar-collapse" id="navbarCollapse">
            <ul class="nav navbar-nav">
                <li><a href="/en/latest">Documentation</a></li>
                <li><a href="/en/getstarted/">Tutorials</a></li>
                <li><a href="/en/latestcontents.html">Reference Guide</a></li>
                <li><a href="https://repo.saltstack.com">Downloads</a></li>
                <li><a href="/en/latesttopics/development/">Develop</a></li>
            </ul>
        </div>
    </div>
</nav>

<div class="jumbotron">

    <div class="row row-centered">
        <div class="col-md-9 col-centered">
            <h1>SaltStack Fundamentals</h1>

            <h3>Get Started Tutorial</h3>

        </div>
    </div>
    <!--<div class="gs-top-nav">
        <a href="/en/getstarted/getstarted/index.html">Back to Get Started <i class="glyphicon glyphicon-arrow-left"></i></a><br>
        <a href="/en/getstarted">Back to Documentation <i class="glyphicon glyphicon-arrow-left"></i></a>
    </div>-->
</div>







<div class="container">
    <div class="row">
        <div class="col-md-12">
            <ol class="progtrckr" data-progtrckr-steps="6">
                
                
                <li class="progtrckr-done">Demo Environment</li>
                
                
                
                
                
                
                
                
                
                
                <li class="progtrckr-todo">
                    
                    <a href="/en/getstarted/fundamentals/install.html">Install SaltStack</a>
                </li>
                
                
                
                
                <li class="progtrckr-todo">
                    
                    <a href="/en/getstarted/fundamentals/remotex.html">Execute Commands</a>
                </li>
                
                
                
                
                <li class="progtrckr-todo">
                    
                    <a href="/en/getstarted/fundamentals/targeting.html">Targeting</a>
                </li>
                
                
                
                
                <li class="progtrckr-todo">
                    
                    <a href="/en/getstarted/fundamentals/states.html">Create a Salt State</a>
                </li>
                
                
                
                
                <li class="progtrckr-todo">
                    
                    <a href="/en/getstarted/fundamentals/top.html">Apply and Target States</a>
                </li>
                
                
            </ol>
        </div>
    </div>

    <div class="row">
        <div class="col-md-1"></div>
        <div class="col-md-10">

            

            <div class="section sidebar">
<h4 id="what-if-i-already-have-a-test-environment">What if I already have a test environment?</h4>
<p>Let’s use it! These instructions are intended to get you into a working environment where you can learn SaltStack without a lot of set up, but your own environment can be used instead.</p>
</div>
<p>This Getting Started Guide walks you through the fundamental concepts you need to learn as you start using SaltStack. We’ll explain how to:</p>
<ul>
<li>Install SaltStack</li>
<li>Run commands on managed systems</li>
<li>Define re-usable configurations</li>
<li>Apply commands and configurations to specific systems</li>
</ul>
<p>Learning SaltStack is a hands-on experience. While you can get the hang of things by reading this guide, SaltStack is easy to set up and we’ve included several examples you can run to help you learn. Plus, you can keep your demo environment around after you finish to continue to try things out.</p>
<h2 id="demo-environment">Demo Environment</h2>
<div class="section sidebar">
<h4 id="vagrant-basics">Vagrant Basics</h4>
<p>After you run vagrant up, Vagrant creates and starts several VirtualBox VMs in the background. These virtual machines keep running until you shut them down, so make sure you run vagrant halt when you are finished:</p>
<pre class="language-bash"><code class="language-bash"><span class="kw">vagrant</span> halt</code></pre>
<p>To start them up again, run <code>vagrant up</code>.</p>
<p>If you want to start over, you can run <code>vagrant destroy</code>, and then <code>vagrant up</code>.</p>
</div>
<p>Complete these instructions to set up a simple SaltStack environment.</p>
<ol style="list-style-type: decimal">
<li><p>Install <a href="https://www.virtualbox.org/">VirtualBox</a>.</p></li>
<li><p>Install <a href="https://www.vagrantup.com/">Vagrant</a>.</p></li>
<li><p>Download <a href="https://github.com/UtahDave/salt-vagrant-demo" class="uri">https://github.com/UtahDave/salt-vagrant-demo</a>. You can use git or download a zip of the project directly from GitHub:</p>
<p><img height="186px" width="176px" src="/en/getstarted/images/github-download.png"></p></li>
<li><p>Extract the zip file you downloaded, and then open a command prompt to the extracted directory:</p>
<p><img class="nolightbox" height="36px" width="36px" src="/en/getstarted/images/windows.png" style="float:left;margin-top: -6px"></p>
<pre class="language-bash"><code class="language-bash"><span class="kw">cd</span> %homepath%\Downloads\salt-vagrant-demo-master</code></pre>
<p><img class="nolightbox" height="36px" width="36px" src="/en/getstarted/images/mac.png" style="float:left;margin-top: -6px"></p>
<pre class="language-bash"><code class="language-bash"><span class="kw">cd</span> ~\Downloads\salt-vagrant-demo-master</code></pre></li>
<li><p>Run vagrant up to start the demo environment:</p>
<pre class="language-bash"><code class="language-bash"><span class="kw">vagrant</span> up</code></pre>
<p>After Vagrant ups (~10 minutes) and you are back at the command prompt, you are ready to continue with this guide.</p></li>
</ol>


            <br>
            

            
            <a href="/en/getstarted/fundamentals/install.html">
                <button type="button" class="btn btn-primary btn-right">
                    Next <span class="glyphicon glyphicon-chevron-right"></span></button>
            </a>
            

        </div>
        <div class="col-md-1"></div>
    </div>
    <div class="footer">
    <p>© 2020 SaltStack | <a href="http://saltstack.com/privacy-policy" target="_blank">Privacy Policy</a></p>
</div>
</div>

<script type="text/javascript" src="/en/latestjs/core-min.js"></script>



<!--analytics-->
<script type="text/javascript" language="javascript">llactid=23943</script>
<script type="text/javascript" language="javascript" src="https://trackalyzer.com/trackalyze_secure.js"></script>

<script>
          var _gaq = _gaq || [];
          var pluginUrl = '//www.google-analytics.com/plugins/ga/inpage_linkid.js';
          _gaq.push(['_require', 'inpage_linkid', pluginUrl]);
          _gaq.push(['_setAccount', 'UA-26984928-1']);
          _gaq.push(['_setDomainName', 'saltstack.com']);
          _gaq.push(['_trackPageview']);

          (function() {
              var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
              ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
              var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
          })();

</script>

</body>
</html>